Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.mcpAccessProfile.getByAppEntitlementId({
appId: "<id>",
appEntitlementId: "<id>",
});
console.log(result);
}
run();curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/mcp_toolsets/by_app_entitlement_id/{app_entitlement_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/mcp_toolsets/by_app_entitlement_id/{app_entitlement_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/mcp_toolsets/by_app_entitlement_id/{app_entitlement_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"profile": {
"appEntitlementId": "<string>",
"appId": "<string>",
"connectorId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"id": "<string>",
"toolCount": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
}MCP Toolsets
Get By App Entitlement Id
GetByAppEntitlementId looks up the toolset (access profile) linked to a synced role entitlement, by app_id + app_entitlement_id.
GET
/
api
/
v1
/
apps
/
{app_id}
/
mcp_toolsets
/
by_app_entitlement_id
/
{app_entitlement_id}
Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.mcpAccessProfile.getByAppEntitlementId({
appId: "<id>",
appEntitlementId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
App identifier.
AppEntitlement ID to look up.
Response
200 - application/json
MCPAccessProfileServiceGetByAppEntitlementIdResponse returns the matched profile.
MCPAccessProfileServiceGetByAppEntitlementIdResponse returns the matched profile.
MCPAccessProfile represents an admin-curated grouping of MCP tools.
Show child attributes
Show child attributes
Was this page helpful?
⌘I